<ng-container *transloco="let t; read: 'moderate_users'">
  <div class="table-container">
    <mat-card appearance="outlined">
      <span class="table-header">{{t('unapproved_users')}}</span>
      <table
        class="table-width"
        mat-table
        matSort
        [dataSource]="dataSource">
        <!-- username -->
        <ng-container matColumnDef="username">
          <th
            *matHeaderCellDef
            mat-header-cell
            mat-sort-header>
            {{t('username_th')}}
          </th>
          <td
            *matCellDef="let row"
            mat-cell>
            {{row.username}}
          </td>
        </ng-container>
        <!-- action buttons -->
        <ng-container matColumnDef="actions">
          <th
            *matHeaderCellDef
            mat-header-cell
            class="table-column-header-align-end">
            {{t('actions_th')}}
          </th>
          <td
            *matCellDef="let row"
            mat-cell>
            <button
              mat-mini-fab
              color="warn"
              class="no-shadow-mini-fab micro-fab micro-fab-action-button-margin"
              (click)="deleteUserClicked.emit({ id: row.user_id })">
              <mat-icon>delete_forever</mat-icon>
            </button>
          </td>
        </ng-container>
        <tbody>
          <tr
            *matHeaderRowDef="displayColumns"
            mat-header-row>
          </tr>
          <tr
            *matRowDef="let row; columns: displayColumns;"
            mat-row>
          </tr>
          <!-- Row shown when there is no matching data. -->
          <tr
            class="mat-row no-data-table-row"
            *matNoDataRow>
            <td
              class="mat-cell"
              colspan="2">
              {{'general.no_data'|transloco}}
            </td>
          </tr>
        </tbody>
      </table>
    </mat-card>
  </div>
</ng-container>
